/*

 ***********************************************************************

 * Copyright 2005-2007 by Freescale Semiconductor, Inc.

 * All modifications are confidential and proprietary information

 * of Freescale Semiconductor, Inc. ALL RIGHTS RESERVED.

 ***********************************************************************

 */



/*!

 ***********************************************************************

 * Header file for definition of commonly used data types

 *

 *

 * History

 *   Date          Changed                                Changed by

 *   Sep. 6, 2007  Create                                 Zhenyong Chen

 ***********************************************************************

 */





#ifndef __BASIC_H__

#define __BASIC_H__





typedef unsigned char  BYTE;



typedef unsigned short SHORT;

typedef unsigned short WORD;



typedef unsigned int   COLORREF;

typedef unsigned int   DWORD;

typedef unsigned int   UINT;

typedef unsigned long  ULONG;



typedef int            BOOL;



#define TRUE    1

#define FALSE   0

#define NULL    ((void *)0)



#endif /* __BASIC_H__ */



